<?php

/**
 * TodoModSaveNewCardCreatorBeforeSave
 *
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) eDokumenty
 */
final class TodoModSaveNewCardCreatorBeforeSave {


    public static function init($args) {

        // to jest ustawiane jeśli loguje się użytkownik, który oznaczony jest jako konto klienta
        // i jest przypisane do klienta (tabela contacts) lub osoby kontaktowej (tabela business_card)
        if ($contid = SystemRegistry::get('UserSettings.ContactID')) {
            // domyślne emp_id może już być ustawione
            // np. poprzez wybranie na kreatorze (panel dodawania zadania w module Kanban)
            if (!$args['event']->get('emp_id')) {
                $args['event']->set('emp_id', [LoggedUser::getUserID()]);
            }
            // tutaj można ustawić do kogo ma trafić zadanie
            // np. $args['event']->set('emp_id', [LoggedUser::getUserID(), 4]);
            // co oznacza, że dostanie je zalogowany oraz użytkownik o usr_id = 4
        }

    }

}

if (isset($args)) {
    TodoModSaveNewCardCreatorBeforeSave::init($args);
}